namespace ShoopNCook
{
    /// <summary>
    /// A notice reporter implementation that prints in console the applications's user notices.
    /// </summary>
    public class ConsoleUserNotifier :
        IUserNotifier
    {

        public void Success(string message)
        {
            Console.WriteLine("<User Notice> Success: " + message);
        }


        public void Error(string message)
        {
            Console.WriteLine("<User Notice> Error: " + message);
        }

        public void Notice(string message)
        {
            Console.WriteLine("<User Notice> Notice: " + message);
        }

        public void Warn(string message)
        {
            Console.WriteLine("<User Notice> Warn: " + message);
        }
    }
}
